=== debian/changelog ===
alarmd (1.1.11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Swert De <philippe.de-swert@nokia.com>  Mon, 21 Sep 2009 15:34:23 +0300

alarmd (1.1.11) unstable; urgency=low

  * Fixes: NB#139693 - Alarmd stops notifying applications after a switch
    in the internet connection.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 21 Sep 2009 08:28:16 +0300

alarmd (1.1.10) unstable; urgency=low

  * Fixes: NB#137820 - Really bad performance when calendar alarm comes up on
    power up

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 17 Sep 2009 09:47:34 +0300

alarmd (1.1.9) unstable; urgency=low

  * Fixes: NB#129316 - Syncd is spamming console when synchronization is ongoing

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 18 Aug 2009 09:28:21 +0300

alarmd (1.1.8) unstable; urgency=low

  * Helper functions for making asynchronous alarmd dbus method calls.
  * Logging fixes.
  * Minor cleanup.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 22 Jun 2009 11:21:34 +0300

alarmd (1.1.7) unstable; urgency=low

  * Unsafe signal handlers fixed.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 04 Jun 2009 09:01:03 +0300

alarmd (1.1.6) unstable; urgency=low

  * Fixes: NB#115838 - Added Xsession script that will restart alarmd
    if execution of the startup wizard causes session bus restart.
  * Hides deleted but not finalized alarms from clients.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 14 May 2009 15:52:24 +0300

alarmd (1.1.5) unstable; urgency=low

  * Improvements to systemui ipc: if multiple alarm_open/alarm_close method
    calls are made in row, all but the last will set the high bit in the
    cookie. This allows systemui to delay making costly widget changes until
    all changes are received.
  * Short delay is introduced between queue modifying method calls and
    triggering of alarm event state transitions. This improves the
    responsiveness of the system in cases where clients are making multiple
    consecutive alarm add/update/delete calls over dbus.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 23 Apr 2009 11:12:44 +0300

alarmd (1.1.4) unstable; urgency=low

  * Fixed potential queue corruption in trigger time re-evaluation when
    the system clock is moved backwards.
  * Fixed handling of adding new recurrence and action table items so that
    alarmd_event_update() no longer causes sanity check warnings.
  * New debugging feature added to alarmclient: the desktop ready condition
    (and use of LIMBO state) can now be controlled using  options -Xnolimbo
    and -Xlimbo.
  * Added get/set functions for alarm event cookies and trigger time.
  * Logging toned down a bit.
  * Fixes: NB#111210 - Snooze uses previous trigger time + snooze time
    instead of current time + snooze time
  * Startup scripts cleaned up.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Fri, 17 Apr 2009 14:13:05 +0300

alarmd (1.1.3) unstable; urgency=low

  * Fixed: Actions with ALARM_ACTION_WHEN_DELAYED were not executed.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 02 Apr 2009 12:29:06 +0300

alarmd (1.1.2) unstable; urgency=low

  * Fixes: NB#108013 - Alarm scheduling is one hour off if there is
    DST change between current time and the requested alarm time.
  * Alarmclient can now issue state change requests to dsme and
    simulate pressing buttons on alarm dialogs.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 31 Mar 2009 09:33:35 +0300

alarmd (1.1.1) unstable; urgency=low

  * Separate Xsession scripts for act dead and user modes.
  * Added D-Bus System bus configuration

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 24 Mar 2009 11:57:00 +0200

alarmd (1.1.0) unstable; urgency=low

  * Alarmd license changed to LGPL Version 2.1.
  * DSME D-Bus constants now from libdsme0.2.0-dev.
  * Fixed restoring attribute data from queue file.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Wed, 18 Mar 2009 10:18:43 +0200

alarmd (1.0.13) unstable; urgency=low

  * Uses claiming of com.nokia.HildonDesktop.Home service on
    session bus as "desktop is ready" condition.
  * Trampoline callbacks eliminated so that the stack
    can be made non-executable. Fixes: NB#104594

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 09 Mar 2009 12:38:32 +0200

alarmd (1.0.12) unstable; urgency=low

  * Cookies can be added to executed commands by adding
    ALARM_ACTION_EXEC_ADD_COOKIE to exec action flags.
  * Changing default snooze value triggers state save.
  * Improved handling of alarm data restored by osso-backup.
  * Systemui can request powerup as response to alarms
    in act dead.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 02 Mar 2009 10:48:19 +0200

alarmd (1.0.11) unstable; urgency=low

  * Only alarms with ALARM_EVENT_ACTDEAD flag set will be triggered
    in ACT_DEAD mode. Fixes: NB#99852
  * To reduce writes to flash file system, the queue file will be
    replaced only if the content would actually change. Fixes: NB#101581
  * Adjusts triggers of snoozed alarms on system time change to
    make snooze period relative to start of snooze. Fixes: NB#101634
  * Alarmd will send ALARMD_TIME_CHANGE_IND signal after it has
    done all state transitions resulting from system time or
    timezone changes.
  * Dropped glib-2.0 and dbus-glib-1 from libalarm pkg-config as
    these are not required for using libalarm. Fixes: NB#99933
  * Some dead code detected and removed.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 16 Feb 2009 16:22:06 +0200

alarmd (1.0.10) unstable; urgency=low

  * Setting default snooze to zero now uses builtin default of 10 minutes.
  * Libalarm now uses shared instead of private dbus connection.
  * Also non-recurring alarms will be rescheduled when system time is
    moved back if they use broken down alarm time and have configuration
    flag ALARM_EVENT_BACK_RESCHEDULE set. Fixes: NB#99974

