## alarmd 1.1.14+0m5

=== debian/changelog ===
alarmd (1.1.14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Wed, 11 Nov 2009 11:04:24 +0200

alarmd (1.1.14) unstable; urgency=low

  * Fixes: NB#145346 - Alarm does not take account simultaneous system time
    change when it is set up

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 10 Nov 2009 08:55:29 +0200

alarmd (1.1.13) unstable; urgency=low

  * Fixes: NB#142698 - Alarmd hides alarms missed due to tz change

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Wed, 14 Oct 2009 15:28:06 +0300

alarmd (1.1.12) unstable; urgency=low

  * Fixes: NB#133079 - MemLeak in alarmd

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Wed, 23 Sep 2009 10:20:59 +0300
