=== debian/changelog ===
alarmd (1.1.16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Fri, 19 Feb 2010 13:17:51 +0200

alarmd (1.1.16) unstable; urgency=low

  * Fixes: NB#142222 - Device does not shut down after completing the alarm cycles in ACT_DEAD
  * Fixes: NB#152855 - libalarm API reference lacks details on time fields

 -- Victor Portnov <ext-victor.portnov@nokia.com>  Mon, 15 Feb 2010 18:57:30 +0300

alarmd (1.1.15) unstable; urgency=low

  * Fixes: NB#141686 - Not playing the Alarm notification/alert when charger is inserted in device Power off state

 -- Victor Portnov <ext-victor.portnov@nokia.com>  Fri, 25 Dec 2009 11:54:09 +0300
