=== debian/control ===
Source: alarmd
Section: misc
Priority: optional
Maintainer: Simo Piiroinen <simo.piiroinen@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libtime-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libconic0-dev,
 osso-systemui-dbus-dev,
 libdsme0.2.0-dev,
 mce-dev,
 statusbar-alarm-dev,
 doxygen
Standards-Version: 3.7.2

Package: alarmd
Architecture: any
Depends: ${shlibs:Depends}
Recommends: osso-systemui-alarm
Conflicts: osso-systemui-alarm (<< 0.2.1.5)
Description: alarm daemon
 Alarm daemon manages queue of alarm events, executes
 actions defined in events either automatically or
 after user input via system ui dialog service.

Package: alarmd-dbg
Section: devel
Priority: extra
Architecture: any
Depends: alarmd (= ${binary:Version})
Description: debug symbols for alarmd
 This package contains debug information for alarmd,
 useful for debugging tools like gdb.

Package: alarmclient
Architecture: any
Depends: ${shlibs:Depends}
Description: test tool for alarmd access
 Command line utility for testing and debugging alarmd features.

Package: alarmclient-dbg
Section: devel
Priority: extra
Architecture: any
Depends: alarmclient (= ${binary:Version})
Description: debug symbols for alarmclient
 This package contains debug information for alarmclient,
 useful for debugging tools like gdb.

Package: libalarm2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: client library for communicating with alarmd
 Client side API for adding, removing and querying events
 in alarmd queue.

Package: libalarm2-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libalarm2 (= ${binary:Version})
Description: debug symbols for libalarm2
 This package contains debug information for libalarm2,
 useful for debugging tools like gdb.

Package: libalarm-dev
Section: libdevel
Architecture: any
Depends: libalarm2 (= ${binary:Version}), ${shlibs:Depends}
Description: development files for libalarm2
 Development package for using libalarm2. Contains static
 library and header files for C and C++ development.

Package: libalarm-doc
Section: doc
Architecture: all
Depends:
Description: documentation files for libalarm2
 Doxygen generated API documentation for libalarm2.
