## alarmd 1.1.16+0m5+0cssu0+thumb0

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,7 @@
 CFLAGS   += -Os
 CFLAGS   += -g
 CFLAGS   += -Werror
+CFLAGS   += -mthumb -fgnu89-inline
 
 LDFLAGS  += -g
 
@@ -426,4 +427,3 @@
 FLOWFLAGS_ALARMD += -xserver_parse_args
 alarmd.mod.dot alarmd.fun.dot : FLOWFLAGS += $(FLOWFLAGS_ALARMD)
 
-# ----------------------------------------------------------------------------
