## alarmd 1.1.16+0m5+0cssu1

=== debian/changelog ===
alarmd (1.1.16+0m5+0cssu1) unstable; urgency=low

  * add dependency gtk+-2.0
  * return correct result in function server_action_do_exec()

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 26 Dec 2015 18:23:14 +0100
