=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: alarmd
 Architecture: any
-Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
+Depends: ${shlibs:Depends}
 Recommends: osso-systemui-alarm
 Conflicts: osso-systemui-alarm (<< 0.2.1.5)
 Description: alarm daemon
@@ -37,7 +37,7 @@
 
 Package: alarmclient
 Architecture: any
-Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
+Depends: ${shlibs:Depends}
 Description: test tool for alarmd access
  Command line utility for testing and debugging alarmd features.
 
@@ -53,7 +53,7 @@
 Package: libalarm2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
+Depends: ${shlibs:Depends}
 Description: client library for communicating with alarmd
  Client side API for adding, removing and querying events
  in alarmd queue.
